Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotExpandItem

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<ExpandItem>
          org.eclipse.swtbot.swt.finder.widgets.SWTBotExpandItem

    public class SWTBotExpandItem

extends AbstractSWTBot<ExpandItem>

Represents an `ExpandItem`.

Version:
  $Id$
Author:
  Toby Weston (Bug 259799)

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotExpandItem(ExpandItem w)` Constructs a new instance with the given widget.
`SWTBotExpandItem(ExpandItem w, SelfDescribing description)` Constructs a new instance with the given widget.

Method Summary
`SWTBotExpandItem` | `collapse()` Collapse this item and return itself.
`protected Event` | `createEvent()` Creates an event.
`SWTBotExpandItem` | `expand()` Expand this item and return itself.
`boolean` | `isCollapsed()`
`boolean` | `isExpanded()`

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`absoluteLocation, assertEnabled, asyncExec, backgroundColor, click, click, clickXY, contextMenu, contextMenu, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabled, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotExpandItem

    public SWTBotExpandItem(ExpandItem w)
                     throws WidgetNotFoundException

  Constructs a new instance with the given widget.

  Parameters:
    `w` - the widget.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

### SWTBotExpandItem

    public SWTBotExpandItem(ExpandItem w,
                            SelfDescribing description)
                     throws WidgetNotFoundException

  Constructs a new instance with the given widget.

  Parameters:
    `w` - the widget.
    `description` - the description of the widget, this will be reported by `AbstractSWTBot.toString()`
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

Method Detail

### expand

    public SWTBotExpandItem expand()

  Expand this item and return itself.

  Returns:
    itself.

### collapse

    public SWTBotExpandItem collapse()

  Collapse this item and return itself.

  Returns:
    itself.

### isExpanded

    public boolean isExpanded()

  Returns:
    `true` if the item is expanded, `false` otherwise.
  See Also:
    `isCollapsed()`

### isCollapsed

    public boolean isCollapsed()

  Returns:
    `true` if the item is collapsed, `false` otherwise.
  See Also:
    `isExpanded()`

### createEvent

    protected Event createEvent()

  Description copied from class: `AbstractSWTBot`
  Creates an event.

  Overrides:
    `createEvent` in class `AbstractSWTBot<ExpandItem>`
  Returns:
    an event that encapsulates `AbstractSWTBot.widget` and `AbstractSWTBot.display`. Subclasses may override to set other event properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD